Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class ServletTestRedirector

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.cactus.server.ServletTestRedirector

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ServletTestRedirector
extends javax.servlet.http.HttpServlet

Generic Servlet redirector that calls a test method on the server side.

Version:
  $Id: ServletTestRedirector.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  `ServletTestCaller`, Serialized Form

Constructor Summary
`ServletTestRedirector()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest theRequest, javax.servlet.http.HttpServletResponse theResponse)` Handle GET requests.
`void` | `doPost(javax.servlet.http.HttpServletRequest theRequest, javax.servlet.http.HttpServletResponse theResponse)` Handle POST request.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletTestRedirector

    public ServletTestRedirector()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest theRequest,
                      javax.servlet.http.HttpServletResponse theResponse)
               throws javax.servlet.ServletException

  Handle GET requests.

  Parameters:
    `theRequest` - the incoming HTTP client request
    `theResponse` - the outgoing HTTP client request to send back.
  Throws:
    `javax.servlet.ServletException` - if an error occurs when servicing the request

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest theRequest,
                       javax.servlet.http.HttpServletResponse theResponse)
                throws javax.servlet.ServletException

  Handle POST request. Extract from the HTTP request parameter, the Service to perform : call test method or return tests results.

  Parameters:
    `theRequest` - the incoming HTTP request.
    `theResponse` - the outgoing HTTP response.
  Throws:
    `javax.servlet.ServletException` - if an error occurs when servicing the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.